<?php
namespace gp\modeles;
use Illuminate\Database\Eloquent\Builder;
class Comment extends \Illuminate\Database\Eloquent\Model
{
    protected $table = 'comment';
    protected $primaryKey = 'id';
    public $timestamps = false ;

    public static function create($id_game, $email, $title, $content, $createdAt){
        $obj = new Comment();
        $obj->email = $email;
        $obj->id_game =$id_game;
        $obj->title = $title;
        $obj->content = $content;
        $obj->created_at = $createdAt;
        $obj->updated_at = $createdAt;
        $obj->save();
        return $obj;
    }

    function game(){
        return $this->BelongsTo('gp\modeles\Game','id_game');
    }
    function user(){
        return $this->BelongsTo('gp\modeles\User', 'email');
    }
}