<?php
namespace gp\modeles;
use Illuminate\Database\Eloquent\Builder;
class Genre extends \Illuminate\Database\Eloquent\Model
{
    protected $table = 'genre';
    protected $primaryKey = 'id';
    public $timestamps = false ;

    public static function create($name, $deck, $desc){
        $obj = new Genre();
        $obj->name = $name;
        $obj->deck = $deck;
        $obj->description = $desc;
        $obj->save();
        return $obj;
    }

    function games(){
        return $this->BelongsToMany('gp\modeles\Game', 'game2genre','genre_id');
    }
}